$(function () {
    //&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&
    //&&&&&                            Eventos Tree View                               &&&&&&
    //&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&

    // Mostra ou oculta as listas em segundo-nível //
    $(document).on('click', '.accordion-lista .btn-accordion', function (e) {
        if ($(this).next().is(":visible")) {
            $(".lista-accordion").slideUp();
            $(".btn-accordion").removeClass("minus-list").addClass("plus-list");
        } else {
            $(".lista-accordion").slideUp();
            $(this).next().slideDown();
            $(".btn-accordion").removeClass("minus-list").addClass("plus-list");
            $(this).removeClass("plus-list").addClass("minus-list");
        }
    });
});

function configurarAcordeon() {
    // Efeito accordion
    $(".accordion .box-title .ocorrencias").on("click", function (e) {
        if ($(this).parent().parent().next().is(":visible")) {
            $(".box-content").slideUp("fast");
        } else {
            $(".box-content").not($(this).parent().parent().next()).slideUp("fast");
            $(this).parent().parent().next().slideDown("fast");
        }
    });

    $(".ocorrencias").hover(function () {
        $("> .tooltip-info", this).stop().fadeIn();
    }, function () {
        $("> .tooltip-info", this).stop().fadeOut();
    });
}

//&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&
//&&&&&                       Eventos do Menu Principal                            &&&&&&
//&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&
function ativarIconeHover() {
    $('.icone').unbind('mouseover');
    $('.icone').mouseover(function (event) {
        if (event.handled !== true) {
            //$(this).children('span').show('fade', { direction: 'left' }, 100);
            $(this).children('span').show();
            //$(this).children('span').delay(700).hide('fade', { direction: 'left' }, 300);
        }
    });
    $('.icone').mouseout(function (event) {
        if (event.handled !== true) {
            $(this).children('span').hide();
        }
    });
}

function desativarIconeHover() {
    $('.icone').unbind('mouseover');
}
/////////////////////////////////////////////////////////////////////////////////////////
